Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.validator
Class ValidatingInfoXMLStreamReader

    java.lang.Object
      javax.xml.stream.util.StreamReaderDelegate
          org.apache.xmlbeans.impl.validator.ValidatingXMLStreamReader
              org.apache.xmlbeans.impl.validator.ValidatingInfoXMLStreamReader

All Implemented Interfaces:
  javax.xml.stream.XMLStreamConstants, javax.xml.stream.XMLStreamReader

    public class ValidatingInfoXMLStreamReader

extends ValidatingXMLStreamReader
implements javax.xml.stream.XMLStreamReader

Extension of `ValidatingXMLStreamReader` to provide Post Schema Validation Info over an XMLStreamReader.

Author:
  Cezar Andrei (cezar.andrei at bea.com) Date: Aug 17, 2004

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.validator.ValidatingXMLStreamReader
`_validator, OPTION_ATTTRIBUTE_VALIDATION_COMPAT_MODE`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`ValidatingInfoXMLStreamReader()`

Method Summary
`boolean` | `getBooleanValue()`
`byte[]` | `getByteArrayValue()`
`SchemaLocalAttribute` | `getCurrentAttribute()`
`SchemaLocalElement` | `getCurrentElement()`
`SchemaType` | `getCurrentElementSchemaType()`
`SchemaAttributeModel` | `getCurrentWildcardAttribute()`
`SchemaParticle` | `getCurrentWildcardElement()`
`java.math.BigDecimal` | `getDecimalValue()`
`double` | `getDoubleValue()`
`float` | `getFloatValue()`
`GDate` | `getGDateValue()`
`GDuration` | `getGDurationValue()`
`java.util.List` | `getListTypes()`
`java.util.List` | `getListValue()`
`javax.xml.namespace.QName` | `getQNameValue()`
`java.lang.String` | `getStringValue()`
`SchemaType` | `getUnionType()`
`int` | `nextWithAttributes()`
`protected void` | `validate_attributes(int attCount)`

Methods inherited from class org.apache.xmlbeans.impl.validator.ValidatingXMLStreamReader
`getProperty, init, isValid, next, validate_attribute`

Methods inherited from class javax.xml.stream.util.StreamReaderDelegate
`close, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getElementText, getEncoding, getEventType, getLocalName, getLocation, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getParent, getPIData, getPITarget, getPrefix, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, nextTag, require, setParent, standaloneSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.stream.XMLStreamReader
`close, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getElementText, getEncoding, getEventType, getLocalName, getLocation, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getPIData, getPITarget, getPrefix, getProperty, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, next, nextTag, require, standaloneSet`

Constructor Detail

### ValidatingInfoXMLStreamReader

    public ValidatingInfoXMLStreamReader()

Method Detail

### nextWithAttributes

    public int nextWithAttributes()
                           throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### validate_attributes

    protected void validate_attributes(int attCount)

  Overrides:
    `validate_attributes` in class `ValidatingXMLStreamReader`

### getCurrentElementSchemaType

    public SchemaType getCurrentElementSchemaType()

  Returns:
    Returns the SchemaType of the current element. This can be different than getCurrentElement().getType() if xsi:type attribute is used. Null is returned if no schema type is available. For attribute types use `getCurrentAttribute()`.getType(). Warning: the returned SchemaType can be an `XmlBeans.NO_TYPE`, see `SchemaType.isNoType()`. Or can be the parent type, for unrecognized elements that are part of wildcards.

### getCurrentElement

    public SchemaLocalElement getCurrentElement()

  Returns:
    Returns the curent local element, null if one is not available, see `getCurrentWildcardElement()`.

### getCurrentWildcardElement

    public SchemaParticle getCurrentWildcardElement()

  Returns:
    Returns the current particle, if this is a wildcard particle `SchemaParticle.WILDCARD` method `getCurrentElement()` might return null if wildcard's processContents is skip or lax.

### getCurrentAttribute

    public SchemaLocalAttribute getCurrentAttribute()

  Returns:
    Returns the curent local attribute, global attribute if the current attribute is part of an attribute wildcard, or null if none is available.

### getCurrentWildcardAttribute

    public SchemaAttributeModel getCurrentWildcardAttribute()

  Returns:
    Returns the attribute model for attributes if available, else null is returned.

### getStringValue

    public java.lang.String getStringValue()

### getDecimalValue

    public java.math.BigDecimal getDecimalValue()

### getBooleanValue

    public boolean getBooleanValue()

### getFloatValue

    public float getFloatValue()

### getDoubleValue

    public double getDoubleValue()

### getQNameValue

    public javax.xml.namespace.QName getQNameValue()

### getGDateValue

    public GDate getGDateValue()

### getGDurationValue

    public GDuration getGDurationValue()

### getByteArrayValue

    public byte[] getByteArrayValue()

### getListValue

    public java.util.List getListValue()

### getListTypes

    public java.util.List getListTypes()

### getUnionType

    public SchemaType getUnionType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD